<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: SBND_PWM_CLK_ENCODER Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">SBND_PWM_CLK_ENCODER Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SBND_PWM_CLK_ENCODER:</div>
<div class="dyncontent">
<div class="center"><img src="classSBND__PWM__CLK__ENCODER__inherit__graph.png" border="0" usemap="#SBND__PWM__CLK__ENCODER_inherit__map" alt="Inheritance graph"/></div>
<map name="SBND__PWM__CLK__ENCODER_inherit__map" id="SBND__PWM__CLK__ENCODER_inherit__map">
<area shape="rect" id="node2" href="classFEMB__CnC.html" title="FEMB_CnC" alt="" coords="65,80,161,107"/><area shape="rect" id="node3" href="classWIB.html" title="WIB" alt="" coords="89,155,137,181"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classSBND__PWM__CLK__ENCODER-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classSBND__PWM__CLK__ENCODER_1_1SBND__PWM__CLK__ENCODER__arch.html">SBND_PWM_CLK_ENCODER_arch</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:afe916758bf02dd084ead90fe4326d9cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe916758bf02dd084ead90fe4326d9cd"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#afe916758bf02dd084ead90fe4326d9cd">RESET</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9f59488d62ba8bfc908fcfd01240150c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f59488d62ba8bfc908fcfd01240150c"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a9f59488d62ba8bfc908fcfd01240150c">CLK_100MHz</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa1d1fd86cecfa9dd35422ad6f156f43c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1d1fd86cecfa9dd35422ad6f156f43c"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#aa1d1fd86cecfa9dd35422ad6f156f43c">SAMPLE_RATE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a40c98a43ea2744c413bd62e41249df89"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40c98a43ea2744c413bd62e41249df89"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a40c98a43ea2744c413bd62e41249df89">EXT_CMD1</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a55beadfa96f27350951838c4f5f38c9e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55beadfa96f27350951838c4f5f38c9e"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a55beadfa96f27350951838c4f5f38c9e">EXT_CMD2</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7037d3ef52e73ef6038450e1c23d4957"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7037d3ef52e73ef6038450e1c23d4957"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a7037d3ef52e73ef6038450e1c23d4957">EXT_CMD3</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a02ca0ce234c784d7497001b6594af05a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02ca0ce234c784d7497001b6594af05a"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a02ca0ce234c784d7497001b6594af05a">EXT_CMD4</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4555c5537c4332ddb3381ea4a3729e8c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4555c5537c4332ddb3381ea4a3729e8c"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a4555c5537c4332ddb3381ea4a3729e8c">SW_CMD1</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e131ec26f5e4639693682c4d01acd5a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e131ec26f5e4639693682c4d01acd5a"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a3e131ec26f5e4639693682c4d01acd5a">SW_CMD2</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a24bc6a5db31837b2844177e61136e4b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a24bc6a5db31837b2844177e61136e4b7"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a24bc6a5db31837b2844177e61136e4b7">SW_CMD3</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2a637a0549e56ad44e2ac8dde67da11c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a637a0549e56ad44e2ac8dde67da11c"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a2a637a0549e56ad44e2ac8dde67da11c">SW_CMD4</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c38333688a30fb426e3ce11a35a22f4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c38333688a30fb426e3ce11a35a22f4"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a7c38333688a30fb426e3ce11a35a22f4">DIS_CMD1</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a626bbab6bf5a1eee5a5c0578b1a6f73f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a626bbab6bf5a1eee5a5c0578b1a6f73f"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a626bbab6bf5a1eee5a5c0578b1a6f73f">DIS_CMD2</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afd6406e508f2aab04715a72e223f350f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd6406e508f2aab04715a72e223f350f"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#afd6406e508f2aab04715a72e223f350f">DIS_CMD3</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a33d257e2a8273b68e7ad58378132c042"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a33d257e2a8273b68e7ad58378132c042"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a33d257e2a8273b68e7ad58378132c042">DIS_CMD4</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aee05d4add7c3af1063c907c7c258427a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee05d4add7c3af1063c907c7c258427a"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#aee05d4add7c3af1063c907c7c258427a">SBND_SYNC_CMD</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a768a641b7c738f00bd61a7cc1158b80d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a768a641b7c738f00bd61a7cc1158b80d"></a>
<a class="el" href="classSBND__PWM__CLK__ENCODER.html#a768a641b7c738f00bd61a7cc1158b80d">SBND_ADC_CLK</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="SBND__PWM__CLK__ENCODER_8vhd_source.html#l00026">26</a> of file <a class="el" href="SBND__PWM__CLK__ENCODER_8vhd_source.html">SBND_PWM_CLK_ENCODER.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB_CnC/<a class="el" href="SBND__PWM__CLK__ENCODER_8vhd_source.html">SBND_PWM_CLK_ENCODER.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:35 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
